#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: RSA
version: 2.3.0
id: RSA-2.3.0-9ugjkCVeISq8Z2kt4huvQi
key: RSA-2.3.0-9ugjkCVeISq8Z2kt4huvQi
license: BSD-3-Clause
maintainer: Adam Wick <awick@galois.com>
author: Adam Wick <awick@galois.com>
stability: stable
synopsis: Implementation of RSA, using the padding schemes of PKCS#1 v2.1.
description:
    This library implements the RSA encryption and signature
    algorithms for arbitrarily-sized ByteStrings. While the
    implementations work, they are not necessarily the fastest ones
    on the planet. Particularly key generation. The algorithms
    included are based of RFC 3447, or the Public-Key Cryptography
    Standard for RSA, version 2.1 (a.k.a, PKCS#1 v2.1).
category: Cryptography, Codec
abi: d4dafd9ad0ca6ba345d35b5909cebbf7
exposed: True
exposed-modules:
    Codec.Crypto.RSA Codec.Crypto.RSA.Exceptions Codec.Crypto.RSA.Pure
import-dirs: /usr/lib/ghc-8.4.2/site-local/RSA-2.3.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/RSA-2.3.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/RSA-2.3.0
hs-libraries: HSRSA-2.3.0-9ugjkCVeISq8Z2kt4huvQi
depends:
    base-4.11.1.0 binary-0.8.5.1 bytestring-0.10.8.2
    crypto-api-0.13.3-F192MK1lmj0HbgPoMEH6qU
    crypto-pubkey-types-0.4.3-2nlz7tXabiwDvbnxGDlZVr
    SHA-1.6.4.4-J97i4k52krALB5u9VxmQ73
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             binary-0.8.5.1=253349ae905e3b03d89d37316bf920b7
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             crypto-api-0.13.3-F192MK1lmj0HbgPoMEH6qU=3cbc3f55c1cbff1ecf023a67e630f88b
             crypto-pubkey-types-0.4.3-2nlz7tXabiwDvbnxGDlZVr=9ecf073c785912edf53e43046e756ac7
             SHA-1.6.4.4-J97i4k52krALB5u9VxmQ73=c45bfd512334de8946bc84a4c38a38e5
haddock-interfaces: /usr/share/doc/haskell-rsa/html/RSA.haddock
haddock-html: /usr/share/doc/haskell-rsa/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

